Bug 1479206 - (CVE-2017-7787) CVE-2017-7787 Mozilla: Same-origin policy bypass with iframes through page reloads (MFSA 2017-19)
CVE-2017-7787 Mozilla: Same-origin policy bypass with iframes through page re...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20170808,repo...
: Security
Depends On:
Blocks: 1477026
  Show dependency treegraph
 
Reported: 2017-08-08 02:42 EDT by Doran Moppert
Modified: 2017-08-24 03:33 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-24 03:33:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doran Moppert 2017-08-08 02:42:24 EDT
Same-origin policy protections can be bypassed on pages with embedded iframes during page reloads, allowing the iframes to access content on the top level page, leading to information disclosure.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2017-19/#CVE-2017-7787


Acknowledgements:

Name: the Mozilla project
Upstream: Oliver Wagner
Comment 1 errata-xmlrpc 2017-08-10 19:21:08 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2017:2456 https://access.redhat.com/errata/RHSA-2017:2456
Comment 2 errata-xmlrpc 2017-08-24 02:46:26 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:2534 https://access.redhat.com/errata/RHSA-2017:2534

Note You need to log in before you can comment on or make changes to this bug.